%global packname R6
%global packver 2.2.1

Name:             R-%{packname}
Version:          %{packver}
Release:          2%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/R6/index.html
Group:            Applications/Engineering
Summary:          Classes with Reference Semantics
BuildRequires:    R-devel >= 3.0.0, tetex-latex
# For tests
BuildRequires:    R-testthat
# Not in fedora yet
# BuildRequires:  R-knitr
# BuildRequires:  R-microbenmark
# BuildRequires:  R-pryr
# BuildRequires:  R-ggplot2
# BuildRequires:  R-scales
BuildArch:        noarch
Requires:         R-core >= 3.0.0

%description
The R6 package allows the creation of classes with reference semantics, 
similar to R's built-in reference classes. Compared to reference classes, 
R6 classes are simpler and lighter-weight, and they are not built on S4 
classes so they do not require the methods package. These classes allow 
public and private members, and they support inheritance, even when the 
classes are defined in different packages.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Can't run this yet, needs lots of deps
%if 0
%{_bindir}/R CMD check %%{packname}
%endif

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS.md
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/help

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 18 2017 Tom Callaway <spot@fedoraproject.org> - 2.2.1-1
- initial package
